Skip to content

Process Installment Schedule

Request

Will process the schedule, creating invoices/payments or orders as necessary

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

The request payload

batch_idstring(Batch)required

The batch being used

billing_run_action_idstring(Billing Run Action)

If this is associated with a billing action, the information is here

billing_run_idstring(Billing Run)

The billing run

entry_idsArray of strings(Entries)required
process_bystring(Process By)
Enum:"entry ids""reference date"
reference_datestring, (date-time)(Reference Date)required

The reference date

schedule_idstring(Schedule)required

The schedule

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/installmentSchedules/{tenantId}/process' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "batch_id": "string",
    "billing_run_action_id": "string",
    "billing_run_id": "string",
    "entry_ids": [
      "string"
    ],
    "process_by": "entry ids",
    "reference_date": "2019-08-24T14:15:22Z",
    "schedule_id": "string"
  }'

Responses

Conflicts were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
object
Response
{}